angular.module('openITCOCKPIT')
    .controller('ServicenowSettingsIndexController', function($scope, $http, NotyService){

        $scope.post = {
            domain: '',
            user_id: '',
            user_password: '',
            assignment_group: '',
            assigned_to: '',
            business_service: '',
            impact: 1,
            urgency: 1,
            recovery_state: 6,
            two_way: false,
            use_proxy: false,
        };

        $scope.load = function(){
            $http.get("/servicenow_module/servicenow_settings/index.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.post = result.data.servicenowSettings;
            }, function errorCallback(result){
                if(result.status === 404){
                    window.location.href = '/angular/not_found';
                }
            });
        };

        $scope.submit = function(){
            $http.post("/servicenow_module/servicenow_settings/index.json?angular=true",
                $scope.post
            ).then(function(result){
                NotyService.genericSuccess();
                $scope.errors = null;
            }, function errorCallback(result){
                NotyService.genericError();
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });

        };

        $scope.load();
    });